Package org.apache.batchee.container.services.locator

## Class ClassLoaderLocator

- java.lang.Object
- - org.apache.batchee.container.services.locator.SingletonLocator
  - - org.apache.batchee.container.services.locator.ClassLoaderLocator

- All Implemented Interfaces:
    `ServicesManagerLocator`

      public class ClassLoaderLocator
      extends SingletonLocator

  This is not the default since it could create memory leaks But in a server it is quite easy to use setServiceManager/resetServiceManager to handle it (either from the server itself or from an app in lightweight containers). Note: initializeServiceManager can be used instead of setServiceManager to use default behavior

- - ### Field Summary

    - ### Fields inherited from class org.apache.batchee.container.services.locator.SingletonLocator

      `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClassLoaderLocator()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ServicesManager` | `find()` |
    `static void` | `initializeServiceManager​(ClassLoader key, Properties props)` |
    `static ServicesManager` | `resetServiceManager​(ClassLoader key)` |
    `static void` | `setServiceManager​(ClassLoader key, ServicesManager manager)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassLoaderLocator

          public ClassLoaderLocator()

  - ### Method Detail

    - #### setServiceManager

          public static void setServiceManager​(ClassLoader key,
                                               ServicesManager manager)

    - #### initializeServiceManager

          public static void initializeServiceManager​(ClassLoader key,
                                                      Properties props)

    - #### resetServiceManager

          public static ServicesManager resetServiceManager​(ClassLoader key)

    - #### find

          public ServicesManager find()

      Specified by:
        `find` in interface `ServicesManagerLocator`
      Overrides:
        `find` in class `SingletonLocator`